path: /build/build/jbig2dec-media-libs-0.19.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test png" emerge media-libs/jbig2dec -pv -t && \
    USE="-test png" emerge -j ${JOBS} --nodeps media-libs/jbig2dec
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/jbig2dec && luet-portage --dir /pkgdir/jbig2dec
    media-libs/jbig2dec && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:ac373e12d65fd77fe9cc068d5851c9d3809a6b2bf584fdf435fe3fe70c988b16
  package:
    name: jbig2dec
    version: "0.19"
    category: media-libs
    use_flags:
    - -test
    - png
    requires:
    - name: xdg-utils
      version: '>=0'
      category: x11-misc
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A decoder implementation of the JBIG2 image compression format
    uri:
    - https://jbig2dec.com/
    license: AGPL-3
    buildtimestamp: 2023-08-20 18:49:34.8380304 +0000 UTC m=+140.055242110
    labels:
      BDEPEND: test? ( app-arch/unzip || ( dev-lang/python:3.10 dev-lang/python:3.8
        dev-lang/python:3.9 dev-lang/python:3.7 ) ) >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
      DEPEND: png? ( media-libs/libpng:0= )
      IUSE: png static-libs test
      RDEPEND: png? ( media-libs/libpng:0= )
      emerge.packages: media-libs/jbig2dec
      kit: media-kit
      original.package.name: media-libs/jbig2dec
      original.package.slot: "0"
      original.package.version: "0.19"
    treedir: /build/packages
  package_dir: /pkgdir/jbig2dec
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f7611fcbd4b588b742dbfe98bc956bce7298267b69f71c46dea08d0bf3eacd69
compressiontype: zstd
files:
- usr/bin/jbig2dec
- usr/include/jbig2.h
- usr/lib64/libjbig2dec.so
- usr/lib64/libjbig2dec.so.0
- usr/lib64/libjbig2dec.so.0.0.0
- usr/lib64/pkgconfig/jbig2dec.pc
- usr/share/doc/jbig2dec-0.19/CHANGES.bz2
- usr/share/doc/jbig2dec-0.19/README.bz2
- usr/share/man/man1/jbig2dec.1.bz2
- var/db/pkg/media-libs/jbig2dec-0.19/BDEPEND
- var/db/pkg/media-libs/jbig2dec-0.19/BUILD_TIME
- var/db/pkg/media-libs/jbig2dec-0.19/CATEGORY
- var/db/pkg/media-libs/jbig2dec-0.19/CBUILD
- var/db/pkg/media-libs/jbig2dec-0.19/CFLAGS
- var/db/pkg/media-libs/jbig2dec-0.19/CHOST
- var/db/pkg/media-libs/jbig2dec-0.19/CONTENTS
- var/db/pkg/media-libs/jbig2dec-0.19/COUNTER
- var/db/pkg/media-libs/jbig2dec-0.19/CXXFLAGS
- var/db/pkg/media-libs/jbig2dec-0.19/DEFINED_PHASES
- var/db/pkg/media-libs/jbig2dec-0.19/DEPEND
- var/db/pkg/media-libs/jbig2dec-0.19/DESCRIPTION
- var/db/pkg/media-libs/jbig2dec-0.19/EAPI
- var/db/pkg/media-libs/jbig2dec-0.19/FEATURES
- var/db/pkg/media-libs/jbig2dec-0.19/HOMEPAGE
- var/db/pkg/media-libs/jbig2dec-0.19/INHERITED
- var/db/pkg/media-libs/jbig2dec-0.19/IUSE
- var/db/pkg/media-libs/jbig2dec-0.19/IUSE_EFFECTIVE
- var/db/pkg/media-libs/jbig2dec-0.19/KEYWORDS
- var/db/pkg/media-libs/jbig2dec-0.19/LDFLAGS
- var/db/pkg/media-libs/jbig2dec-0.19/LICENSE
- var/db/pkg/media-libs/jbig2dec-0.19/NEEDED
- var/db/pkg/media-libs/jbig2dec-0.19/PF
- var/db/pkg/media-libs/jbig2dec-0.19/PROVIDES
- var/db/pkg/media-libs/jbig2dec-0.19/RDEPEND
- var/db/pkg/media-libs/jbig2dec-0.19/REQUIRES
- var/db/pkg/media-libs/jbig2dec-0.19/RESTRICT
- var/db/pkg/media-libs/jbig2dec-0.19/SIZE
- var/db/pkg/media-libs/jbig2dec-0.19/SLOT
- var/db/pkg/media-libs/jbig2dec-0.19/USE
- var/db/pkg/media-libs/jbig2dec-0.19/environment.bz2
- var/db/pkg/media-libs/jbig2dec-0.19/jbig2dec-0.19.ebuild
- var/db/pkg/media-libs/jbig2dec-0.19/repository
package_cacheimage: ""
runtime:
  name: jbig2dec
  version: "0.19"
  category: media-libs
  use_flags:
  - -test
  - png
  requires:
  - name: libpng
    version: '>=0'
    category: media-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A decoder implementation of the JBIG2 image compression format
  uri:
  - https://jbig2dec.com/
  license: AGPL-3
  labels:
    BDEPEND: test? ( app-arch/unzip || ( dev-lang/python:3.10 dev-lang/python:3.8
      dev-lang/python:3.9 dev-lang/python:3.7 ) ) >=app-portage/elt-patches-20170815
      !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
      ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
    DEPEND: png? ( media-libs/libpng:0= )
    IUSE: png static-libs test
    RDEPEND: png? ( media-libs/libpng:0= )
    emerge.packages: media-libs/jbig2dec
    kit: media-kit
    original.package.name: media-libs/jbig2dec
    original.package.slot: "0"
    original.package.version: "0.19"
